/*
 * Copyright 1996 Digital Equipment Corporation. All rights reserved.
 * This software is a research work and is provided "as is." Digital disclaims 
 * all express and implied warranties with regard to such software, including 
 * the warranty of fitness for a particular purpose.  In no event shall Digital
 * be liable for any special, direct, indirect, or consequential damages or 
 * any other damages whatsoever, including any loss or any claim for loss of 
 * data or profits, arising out of the use or inability to use the software 
 * even if Digital has been advised of the possibility of such damages.
 * This software shall not be further distributed without prior written 
 * permission from Digital Equipment Corporation.
 */

#ifndef _FORMAT_H_
#define _FORMAT_H_

#ifndef MIN
#define MIN(x,y) (((x) < (y)) ? (x) : (y))
#endif
#ifndef MAX
#define MAX(x,y) (((x) > (y)) ? (x) : (y))
#endif

void formatText();

typedef XFontStruct XFS, *PXFS;

typedef long Format;

#define FormatSetTop	        1  /* set top margin */
#define FormatSetLeft	        2  /* set left margin */
#define FormatHome	        3  /* home coordinates */
#define FormatCR	        4  /* carriage return */
#define FormatNL	        5  /* new line */
#define FormatSetY	        6  /* set absolute Y coordinate */
#define FormatSetTextY	        7  /* set Y coordinate to line */
#define FormatAddY	        8  /* add absolute Y */
#define FormatAddTextY	        9  /* add lines to Y */
#define FormatAddHalfTextY     10  /* add half lines to Y */
#define FormatSetX	       11  /* set X absolute */
#define FormatSetTextX	       12  /* set X to character */
#define FormatAddX	       13  /* add absolute X */
#define FormatAddTextX	       14  /* add characters to X */
#define FormatAddHalfTextX     15  /* add characters to X */
#define FormatString	       16  /* draw string and advance X */
#define FormatStringCenter     17  /* draw string, centered on current width */
#define FormatMultiLine        18  /* draw line string with newlines */
#define FormatMeasureText      19  /* get font measurements based on strings */
#define FormatSetWidth         20  /* set width for centering */
#define FormatSetLMargin       21  /* set left margin.  -1 = current x */
#define FormatSetRMargin       22  /* set right margin. -1 = current x */
#endif /* _FORMAT_H_ */
